rev20 making GX crash?

Discussion in 'Wii - Backup Loaders' started by EnigmaXtreme, Jul 31, 2010.

Jul 31, 2010

rev20 making GX crash? by EnigmaXtreme at 11:52 PM (2,120 Views / 0 Likes) 12 replies

  1. EnigmaXtreme
    OP

    Member EnigmaXtreme GBAtemp Maniac

    Joined:
    Jan 1, 2009
    Messages:
    1,340
    Location:
    Tasmania, Australia
    Country:
    Australia
    I just installed rev20, now everytime I go into USBGX it freezes as soon as I select a game
     
  2. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,412
    Location:
    Engine room, learning
    Country:
    France
    USBloaderGX is not fully compatible with rev18+
    It's a bug with banner audio.
    use cIOS Rev17 or set the USBloaderGX option to "Quick launch" the games (no sound banner), or set audio volume to 0 (disable).
     

  3. USBLoaderGXr938 works fine on CIOS249rev20.

    What GX version are you using?
     
  4. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,412
    Location:
    Engine room, learning
    Country:
    France
    I'm on 927 and 935 etc. I change revision to fit my needs. I don't have any problem myself.
    But I was considering the error EnigmaXtreme encountered, and remember there was the same error on previous GX release, so I gave the workaround for that error.

    I thought GX reverted back the support of cIOSx rev19 on r931, but maybe it's working with cIOSx rev20 without any update to the code ?
    I didn't try 938 with cIOSx rev20 yet, but if you say it's working, that's great.

    Then EnigmaXtreme, try updating USBloaderGX to r938.


    Edit :
    I just tried IOS250rev20 [base56], it's working too. (Tested Arc Rise Fantasia, the game play without freeze)
    But I keep IOS249 rev17 as main cIOS for GX, so I don't know if there's the GX freeze bug still present.
     
  5. wasabisun

    Newcomer wasabisun Advanced Member

    Joined:
    Sep 14, 2009
    Messages:
    57
    Country:
    Italy
    i m using rev866 with ciosrev20 without problems
     
  6. petspeed

    Member petspeed GBAtemp Fan

    Joined:
    Nov 13, 2009
    Messages:
    482
    Country:
    Denmark
    It's funny how cIOS rev 19 works for some people with the latest GX versions and not for others. It works fine for me using WBFS. At least it did until my Wii bricked. Just bought a new one but haven't had the time to mod it yet.
     
  7. harveychan

    Member harveychan GBAtemp Regular

    Joined:
    Jul 7, 2009
    Messages:
    126
    Country:
    United States
    EVERYBODY>>> delete the cofig files on your sd cards for gxloader after you update to rev20 ..that should fix the problems you get after the rev update
     
  8. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,412
    Location:
    Engine room, learning
    Country:
    France
    I installed rev20 and didn't delete the config file, I don't have any problem.

    The problem experienced by EnigmaXtreme is only with a short GX revision range, he can either upgrade/downgrade USBloaderGX revision, or use one of the workaround I gave on the 2nd post.
    If you don't have the same error (GX freezing when opening the Disc dialog), then you're not concerned.

    Deleting the config will not help, on contrary, because the default config makes it hang !
    You have to edit the config to select quick boot games = ON.


    As I said, it's only for very few GX revision. I had that error myself. If you (generally speaking, not you harveychan) don't understand the error fully or never had it yourself, don't try to help without being sure it's the correct fix and you tried it, or you should give bad advice [​IMG]
     
  9. harveychan

    Member harveychan GBAtemp Regular

    Joined:
    Jul 7, 2009
    Messages:
    126
    Country:
    United States
    yeah man rev 20 broke cios which i thought was true until i deleted my config files . now every thing works great. it wont work on most but it will with some i was black screen on mostly every 249 game after the update ..i was pissed i tried wiiflow lates rev and everything worked..so i just deleted the config and everything went back to normal on the latest gxloader
     
  10. EnigmaXtreme
    OP

    Member EnigmaXtreme GBAtemp Maniac

    Joined:
    Jan 1, 2009
    Messages:
    1,340
    Location:
    Tasmania, Australia
    Country:
    Australia
    Ive been on 938, i managed to find a workaround by turning on "Quick launch" but is it possible to go back rev 19 and try installing rev 20 again?
     
  11. luminalace

    Member luminalace GBAtemp Fan

    Joined:
    Jul 2, 2010
    Messages:
    462
    Country:
    Australia
    Yes whenever you use a CIOS installer it overwrites your previous one regardless of what rev you are on!
     
  12. EnigmaXtreme
    OP

    Member EnigmaXtreme GBAtemp Maniac

    Joined:
    Jan 1, 2009
    Messages:
    1,340
    Location:
    Tasmania, Australia
    Country:
    Australia
    Huh i cant seem to find rev19 on my computer, can anyone direct me to it?
     
  13. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,412
    Location:
    Engine room, learning
    Country:
    France
    Just reinstall rev20 over the slot you want, it will overwrite it the same way.
    No need to go back, the cIOS is not used until you run an USBloader, so going back and forth won't change a thing for the loaders.

    The GX bug with rev18+ should be fixed since r931
    I don't know why you still have it with 938.
    My personal tests :
    927: bug
    937 : works

    What I'm suggesting to you :
    1 - Verify you are really using 931+ version (go into preference, credits)

    or
    2- (It's the solution I'm using to keep r927 with the "back to loader" patch)
    Install cIOSrev17
    Then, Install cIOSxrev20 based on IOS56 to Slot250
    USBGX will boot 249 as the main IOS
    You won't have to use quick boot, but you will need to set the individual game's preferences to use 250 to run problematic games. (Monster Hunter, Music games, and Arc Rise Fantasia as you are PAL)

    or
    3-
    Install rev17 to 250 and set GX to boot with 250
    Install rev20 to 249 for every other homebrew.
    (you will have to use Bluedump to install it that way)
     

Share This Page